org.apache.mina.example.sumup

## Class ClientSessionHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.example.sumup.ClientSessionHandler

- All Implemented Interfaces:
    IoHandler

      public class ClientSessionHandler
      extends IoHandlerAdapter

  `IoHandler` for SumUp client.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionHandler(int[] values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exceptionCaught(IoSession session, Throwable cause)` Invoked when any exception is thrown by user `IoHandler` implementation or by MINA.
    `boolean` | `isFinished()`
    `void` | `messageReceived(IoSession session, Object message)` Invoked when a message is received.
    `void` | `sessionOpened(IoSession session)` Invoked when a connection has been opened.

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `messageSent, sessionClosed, sessionCreated, sessionIdle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionHandler

          public ClientSessionHandler(int[] values)

  - ### Method Detail

    - #### isFinished

          public boolean isFinished()

    - #### sessionOpened

          public void sessionOpened(IoSession session)

      Description copied from interface: `IoHandler`
      Invoked when a connection has been opened. This method is invoked after `IoHandler.sessionCreated(IoSession)`. The biggest difference from `IoHandler.sessionCreated(IoSession)` is that it's invoked from other thread than an I/O processor thread once thread model is configured properly.
      Specified by:
        `sessionOpened` in interface `IoHandler`
      Overrides:
        `sessionOpened` in class `IoHandlerAdapter`

    - #### messageReceived

          public void messageReceived(IoSession session,
                             Object message)

      Description copied from interface: `IoHandler`
      Invoked when a message is received.
      Specified by:
        `messageReceived` in interface `IoHandler`
      Overrides:
        `messageReceived` in class `IoHandlerAdapter`

    - #### exceptionCaught

          public void exceptionCaught(IoSession session,
                             Throwable cause)

      Description copied from interface: `IoHandler`
      Invoked when any exception is thrown by user `IoHandler` implementation or by MINA. If `cause` is an instance of `IOException`, MINA will close the connection automatically.
      Specified by:
        `exceptionCaught` in interface `IoHandler`
      Overrides:
        `exceptionCaught` in class `IoHandlerAdapter`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.